Query parameters
-
If
true, returns settings in flat format.Default value is
false. -
Filter out results, for example to filter out sensitive information. Supports wildcards or full settings keys
-
Return all default configurations for the component template
Default value is
false. -
If
true, the request retrieves information from the local node only. Iffalse, information is retrieved from the master node.Default value is
false. -
Period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.
Default value is
30s.
GET
/_component_template/{name}
Console
GET /_component_template/template_1
resp = client.cluster.get_component_template(
name="template_1",
)
const response = await client.cluster.getComponentTemplate({
name: "template_1",
});
response = client.cluster.get_component_template(
name: "template_1"
)
$resp = $client->cluster()->getComponentTemplate([
"name" => "template_1",
]);
curl -X GET -H "Authorization: ApiKey $ELASTIC_API_KEY" "$ELASTICSEARCH_URL/_component_template/template_1"
var response = await client.Cluster
.GetComponentTemplateAsync(d1 => d1
.Name("template_1")
);
client.cluster().getComponentTemplate(g -> g
.name("template_1")
);